RagTime5ClusterManagerInternal::RootCParser Struct Referencefinal

try to read a root cluster: 4001 More...

Inheritance diagram for RagTime5ClusterManagerInternal::RootCParser:

## Public Types

enum | { F_formulaLink =0 , F_clusterList , F_functionName =F_clusterList+3 , F_docInfo , F_filename , F_nextId , F_settings , F_settingsRoot =F_settings+3 , F_unknRootA , F_unknRootC =F_unknRootA+3 , F_unknRootD , F_unknUnicodeD , F_unknUnicodeE }

## Public Member Functions

| RootCParser (RagTime5ClusterManager &parser)
| constructor
| ~RootCParser () final
| destructor
void | setExpectedType (int id, int type)
| set a data id type
int | getNewZoneToParse () final
| returns to new zone to parse.
std::shared_ptr< RagTime5ClusterManager::Cluster > | getCluster () final
| return the current cluster
void | endZone () final
| end of a start zone call
bool | parseZone (MWAWInputStreamPtr &input, long fSz, int N, int flag, libmwaw::DebugStream &f) final
| parse the header zone
bool | parseField (RagTime5StructManager::Field const &field, int, libmwaw::DebugStream &f) final
| parse a field
Public Member Functions inherited from RagTime5ClusterManager::ClusterParser
| ClusterParser (RagTime5ClusterManager &parser, int type, std::string const &zoneName)
| constructor
virtual | ~ClusterParser ()
| destructor
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone
virtual std::string | getZoneName (int n, int m=-1) const
| return the debug name corresponding to a cluster
virtual void | startZone ()
| start a new zone
bool | isANameHeader (long N) const
| return true if N correspond to a file/script name
bool | readLinkHeader (MWAWInputStreamPtr &input, long fSz, Link &link, long(&values)[4], std::string &message)
| try to read a link header
std::string | getClusterDebugName (int id)
| returns "data"+id+"A" ( followed by the cluster type and name if know)

## Protected Member Functions

bool | parseDataZone (MWAWInputStreamPtr &input, long fSz, int N, int flag, libmwaw::DebugStream &f)
| parse a data block
bool | parseHeaderZone (MWAWInputStreamPtr &input, long fSz, int N, int flag, libmwaw::DebugStream &f)
| parse the header zone

## Protected Attributes

std::shared_ptr< RagTime5ClusterManager::ClusterRoot > | m_cluster
| the current cluster
int | m_what
| a index to know which field is parsed : 0: main, 1: filename, 2: list, 3: graph type, 4: fieldList
int | m_linkId
| the link id : 0: zone[names], 1: field5=doc[info]?, 2: field6, 3: settings, 4: function names, 5: cluster[list], 6: a def cluster list, 7: a list of unicode string?
std::string | m_fieldName
| the actual field name
std::map< int, int > | m_expectedIdToType
| the expected id
std::stack< int > | m_idStack
| the id stack

## Additional Inherited Members

Public Attributes inherited from RagTime5ClusterManager::ClusterParser
RagTime5ClusterManager & | m_parser
| the main parser
int | m_type
| the cluster type
bool | m_hiLoEndian
| zone endian
std::string | m_name
| the cluster name
int | m_dataId
| the actual zone id
Link | m_link
| the actual link

## Detailed Description

try to read a root cluster: 4001

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
F_formulaLink |
F_clusterList |
F_functionName |
F_docInfo |
F_filename |
F_nextId |
F_settings |
F_settingsRoot |
F_unknRootA |
F_unknRootC |
F_unknRootD |
F_unknUnicodeD |
F_unknUnicodeE |

## Constructor & Destructor Documentation

## RootCParser()

RagTime5ClusterManagerInternal::RootCParser::RootCParser | ( | RagTime5ClusterManager & | parser | ) |

inline explicit

constructor

## ~RootCParser()

RagTime5ClusterManagerInternal::RootCParser::~RootCParser | ( |  | ) |

final

destructor

Referenced by ~RootCParser().

## Member Function Documentation

## endZone()

void RagTime5ClusterManagerInternal::RootCParser::endZone | ( |  | ) |

inline final virtual

end of a start zone call

Reimplemented from RagTime5ClusterManager::ClusterParser.

## getCluster()

std::shared_ptr< RagTime5ClusterManager::Cluster > RagTime5ClusterManagerInternal::RootCParser::getCluster | ( |  | ) |

inline final virtual

return the current cluster

Implements RagTime5ClusterManager::ClusterParser.

Referenced by RagTime5ClusterManager::readRootCluster().

## getNewZoneToParse()

int RagTime5ClusterManagerInternal::RootCParser::getNewZoneToParse | ( |  | ) |

inline final virtual

returns to new zone to parse.

-1: means no preference, 0: means first zone, ...

Reimplemented from RagTime5ClusterManager::ClusterParser.

## parseDataZone()

bool RagTime5ClusterManagerInternal::RootCParser::parseDataZone | ( | MWAWInputStreamPtr & | input,
|  | long | fSz,
|  | int | N,
|  | int | flag,
|  | libmwaw::DebugStream & | f )

inline protected

parse a data block

Referenced by parseZone().

## parseField()

bool RagTime5ClusterManagerInternal::RootCParser::parseField | ( | RagTime5StructManager::Field const & | field,
|  | int | ,
|  | libmwaw::DebugStream & | f )

inline final virtual

parse a field

Reimplemented from RagTime5ClusterManager::ClusterParser.

## parseHeaderZone()

bool RagTime5ClusterManagerInternal::RootCParser::parseHeaderZone | ( | MWAWInputStreamPtr & | input,
|  | long | fSz,
|  | int | N,
|  | int | flag,
|  | libmwaw::DebugStream & | f )

inline protected

parse the header zone

Referenced by parseZone().

## parseZone()

bool RagTime5ClusterManagerInternal::RootCParser::parseZone | ( | MWAWInputStreamPtr & | input,
|  | long | fSz,
|  | int | N,
|  | int | flag,
|  | libmwaw::DebugStream & | f )

inline final virtual

parse the header zone

Reimplemented from RagTime5ClusterManager::ClusterParser.

## setExpectedType()

void RagTime5ClusterManagerInternal::RootCParser::setExpectedType | ( | int | id,
|  | int | type )

inline

set a data id type

Referenced by parseDataZone(), parseHeaderZone(), and setExpectedType().

## Member Data Documentation

## m_cluster

std::shared_ptr<RagTime5ClusterManager::ClusterRoot> RagTime5ClusterManagerInternal::RootCParser::m_cluster

protected

the current cluster

Referenced by endZone(), getCluster(), parseDataZone(), parseField(), parseHeaderZone(), and RootCParser().

## m_expectedIdToType

std::map<int, int> RagTime5ClusterManagerInternal::RootCParser::m_expectedIdToType

protected

the expected id

Referenced by parseDataZone(), parseZone(), RootCParser(), and setExpectedType().

## m_fieldName

std::string RagTime5ClusterManagerInternal::RootCParser::m_fieldName

protected

the actual field name

Referenced by parseDataZone(), parseField(), parseHeaderZone(), parseZone(), and RootCParser().

## m_idStack

std::stack<int> RagTime5ClusterManagerInternal::RootCParser::m_idStack

protected

the id stack

Referenced by getNewZoneToParse(), RootCParser(), and setExpectedType().

## m_linkId

int RagTime5ClusterManagerInternal::RootCParser::m_linkId

protected

the link id : 0: zone[names], 1: field5=doc[info]?, 2: field6, 3: settings, 4: function names, 5: cluster[list], 6: a def cluster list, 7: a list of unicode string?

Referenced by endZone(), parseDataZone(), parseZone(), and RootCParser().

## m_what

int RagTime5ClusterManagerInternal::RootCParser::m_what

protected

a index to know which field is parsed : 0: main, 1: filename, 2: list, 3: graph type, 4: fieldList

Referenced by endZone(), parseDataZone(), parseField(), parseHeaderZone(), parseZone(), and RootCParser().

The documentation for this struct was generated from the following file:

- RagTime5ClusterManager.cxx